<?php
    function recoger_get($indice)
    {
        global $HTTP_GET_VARS;

        //Recoge el valor, si puede, de la url por get:
        if (isset($HTTP_GET_VARS[$indice])) { $valor = $HTTP_GET_VARS[$indice]; }
        else if (isset($_GET[$indice])) { $valor = $_GET[$indice]; }
        else { $valor = FALSE; }

        //Lo decodifica y quita los espacios al principio y al final:
        $valor = trim(urldecode($valor));
        
        //Si es necesario (si esta activada la directiva magic_quotes_gpc), se le quitan las barras:
        if (get_magic_quotes_gpc()) { $valor = stripslashes($valor); }
        
        //Devuelve el valor:
        return $valor;
    }
?>
